<?xml version="1.0"?><!-- style.xsl -->
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="text"/>


	<xsl:template match="node">
		<xsl:text>(</xsl:text> 
		<xsl:value-of select="@value"/>
		<xsl:text></xsl:text>
		<xsl:apply-templates select="children"/>
		<xsl:text>)</xsl:text>	
	</xsl:template>

	<xsl:template match="children">
		<xsl:apply-templates select="node"/>
	</xsl:template>

</xsl:stylesheet>


<!-- previous trials that work ! 

	// COMPTER LE NOMBRE D INDIVIDUS
	<xsl:template match="trial" >
		Il y a 	
		<xsl:value-of select="count(./generations/generation/individuals/individual)" />
		individus !
	</xsl:template>


	// template pour afficher les arbres genetiques : node et children 
	<xsl:template match="node">
		<xsl:text> ( </xsl:text> 
		<xsl:value-of select="@value"/>
		<xsl:text> </xsl:text>
		<xsl:apply-templates select="children"/>
		<xsl:text> ) </xsl:text>	
	</xsl:template>

	<xsl:template match="children">
		<xsl:apply-templates select="node"/>
	</xsl:template>

	// TEMPLATE POUR CALCULER LA TAILLE (NOMBRE DE NOEUDS) DE CHAQUE INDIVIDUAL
	<xsl:template match="representation" >
		<xsl:text> size = </xsl:text> <xsl:value-of select="count(descendant::node)" /> <xsl:text> nodes.
</xsl:text> 
	</xsl:template>				


<xsl:template match="generations" >
		<xsl:for-each select="generation">
			<xsl:text> generation </xsl:text>
			<xsl:number format="a. "/> 
			<xsl:text> : 
</xsl:text>
	        <xsl:for-each select="individuals/individual">
            	<xsl:text> individu </xsl:text> 
				<xsl:number format="0. "/> 
				<xsl:text> : </xsl:text>
					<xsl:apply-templates select="./representations/representation" />					
       	 	</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
  
	//calcule la taille de chaque individual 
	<xsl:template match="representation" >
		<xsl:text> size = </xsl:text> <xsl:value-of select="count(descendant::node)" /> <xsl:text> nodes.
</xsl:text> 
	</xsl:template>	
-->
